Bug 980849 - storage-live-migration: Migration tasks hang in finalized state
storage-live-migration: Migration tasks hang in finalized state
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
All Linux
unspecified Severity high
: ---
: 3.3.0
Assigned To: Daniel Erez
Meital Bourvine
: TestBlocker
Depends On: 985043 985735
  Show dependency treegraph
Reported: 2013-07-03 06:54 EDT by Jakub Libosvar
Modified: 2016-02-10 14:25 EST (History)
10 users (show)

See Also:
Fixed In Version: is2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
scohen: Triaged+

Attachments (Terms of Use)
vdsm, engine logs, db dump (3.57 MB, application/gzip)
2013-07-03 06:54 EDT, Jakub Libosvar
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 15133 None None None Never

  None (edit)
Description Jakub Libosvar 2013-07-03 06:54:35 EDT
Created attachment 768195 [details]
vdsm, engine logs, db dump

Description of problem:
When migrating disk of running vm, after migration is completed, task still hangs on vdsm side. They are not in DB.

End of the task is
2013-07-03 10:41:10,716 INFO  [org.ovirt.engine.core.bll.lsm.LiveMigrateDiskCommand] (pool-4-thread-48) [4acbc6dc] Ending command successfully: org.ovirt.engine.core.bll.lsm.LiveMigrateDiskCommand
2013-07-03 10:41:10,716 ERROR [org.ovirt.engine.core.bll.CommandsFactory] (pool-4-thread-45) [145eb464] CommandsFactory [parameter: VdcActionParametersBase]: Failed to get type information using reflection for Action: LiveMigrateDisk: java.lang.reflect.InvocationTargetException
    at sun.reflect.GeneratedConstructorAccessor144.newInstance(Unknown Source) [:1.7.0_11-icedtea]
    at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45) [rt.jar:1.7.0_11-icedtea]
    at java.lang.reflect.Constructor.newInstance(Constructor.java:525) [rt.jar:1.7.0_11-icedtea]
    at org.ovirt.engine.core.bll.CommandsFactory.CreateCommand(CommandsFactory.java:45) [engine-bll.jar:]
    at org.ovirt.engine.core.bll.Backend.endAction(Backend.java:377) [engine-bll.jar:]
    at sun.reflect.GeneratedMethodAccessor409.invoke(Unknown Source) [:1.7.0_11-icedtea]
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Migrate a vm (I have attached hotplug disk, which is inactived, then disk of vm (one that was NOT used by hotplug) migrated)
2. Wait until migration completes
3. Check running tasks on host

Actual results:
s[root@slot-5 ~]# vdsClient 0 getAllTasksStatuses 
{'status': {'message': 'OK', 'code': 0}, 'allTasksStatus': {'52cc2412-2c93-462e-a854-a3098b4fe9ab': {'message': '1 jobs completed successfully', 'code': 0, 'taskID': '52cc2412-2c93-462e-a854-a3098b4fe9ab', 'taskResult': 'success', 'taskState': 'finished'}, '60dfdf54-0794-40a0-95ad-4358f94a452d': {'message': 'Task is initializing', 'code': 0, 'taskID': '60dfdf54-0794-40a0-95ad-4358f94a452d', 'taskResult': '', 'taskState': 'running'}, 'b6993f9b-bde5-4afd-aa2b-1a2c7803775c': {'message': '1 jobs completed successfully', 'code': 0, 'taskID': 'b6993f9b-bde5-4afd-aa2b-1a2c7803775c', 'taskResult': 'success', 'taskState': 'finished'}}}

Expected results:
{'status': {'message': 'OK', 'code': 0}, 'allTasksStatus': {}}

Additional info:
It breaks the cleanup because DC cannot be moved to maintenance while there are running tasks
Block storage live migration sanity
Comment 4 Leonid Natapov 2013-10-03 07:53:52 EDT
is2. task is cleaned after disk migration.
Comment 5 Itamar Heim 2014-01-21 17:24:50 EST
Closing - RHEV 3.3 Released
Comment 6 Itamar Heim 2014-01-21 17:25:33 EST
Closing - RHEV 3.3 Released
Comment 7 Itamar Heim 2014-01-21 17:29:10 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.